DCMTK - Conformance #854

Add minimal support for Supplement 147: Second Generation Radiotherapy 7 - Prescription and
Segment Annotation

2018-11-19 11:32 - Jorg Riesmeier

Status: Closed Start date: 2018-11-19
Priority: Normal Due date:

Assignee: Jorg Riesmeier % Done: 100%
Category: Library and Apps Estimated time: 0:00 hour
Target version: 3.6.5

Module: dcmdata, dcmnet, ... Compiler:

Operating System:

Description

Add support for UIDs, Tags, Record Types etc. introduced with Supplement 147 (FT):
ftp://medical.nema.org/medical/dicom/final/sup147_ft 2nd_Gen_Prescription_and_Segment_Annotation.pdf

History

#1 - 2018-12-03 13:27 - J6rg Riesmeier
- Assignee set to Jorg Riesmeier

- % Done changed from 0 to 30

Updated data dictionary for DICOM 2018e (which includes the Final Text version of Supplement 147).

#2 - 2018-12-06 20:16 - Jorg Riesmeier
- % Done changed from 30 to 60

Added new Storage SOP Classes to the list of known UIDs.

#3 - 2018-12-06 20:48 - Jorg Riesmeier
- Status changed from New to Closed

- % Done changed from 60 to 100

Closed with commit 2d55502.

#4 - 2018-12-06 20:49 - J6rg Riesmeier
- Target version changed from 3.6.6 to 3.6.5
